Bug 1494284 - rhcert-cli error: could not submit test run: Fault 2206: The cert with Node id #XXXXXX does not exist
Summary: rhcert-cli error: could not submit test run: Fault 2206: The cert with Node ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack Certification Program
Classification: Retired
Component: certification-catalog
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Neeti Dahiya
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 23:15 UTC by Alex Deiter
Modified: 2020-03-27 15:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 15:53:08 UTC


Attachments (Terms of Use)
In Progress Certifications (177.90 KB, image/png)
2017-09-22 12:15 UTC, Alex Deiter
no flags Details
Nexenta NexentaStor Certification Details (138.71 KB, image/png)
2017-09-22 12:16 UTC, Alex Deiter
no flags Details

Description Alex Deiter 2017-09-21 23:15:30 UTC
Description of problem: Error: could not submit test run: Error: <Fault 2206: 'The cert with Node id #XXXXXX does not exist

Version-Release number of selected component (if applicable):
 - Red Hat EL 7.4
 - Red Hat OpenStack 10 (newton)

How reproducible:
Run rhcert-cli submit and specify existing Product Node ID (https://hardware.redhat.com/show.cgi?id=1493736)

# rhcert-cli submit
Red Hat SSO User Name: AZroya
Password:
compressing and encoding results...
uploading results...
done.
Error: could not submit test run
Error: <Fault 2206: 'The cert with Node id #3064091 does not exist.'> (WorflowProxyException)
response: None 


Steps to Reproduce:
1. Install undercloud env
2. Install overcloud env
3. Run rhcert-cli clean
4. Run rhcert-cli plan
5. Run rhcert-cli run --test tempest_config
6. Run rhcert-cli run --test cinder_volumes
7. Run rhcert-cli submit

Actual results:
Error: <Fault 2206: 'The cert with Node id #3064091 does not exist.'>

Expected results:
Cert results can be successfully submitted

Comment 1 Alex Deiter 2017-09-22 12:15:28 UTC
Created attachment 1329554 [details]
In Progress Certifications

In Progress Certifications

Comment 2 Alex Deiter 2017-09-22 12:16:11 UTC
Created attachment 1329555 [details]
Nexenta NexentaStor Certification Details

Nexenta NexentaStor Certification Details

Comment 4 Ilya grafutko 2017-09-22 20:41:32 UTC
Hi,
we were able to sumbit results through the website upload option

https://hardware.redhat.com/show.cgi?id=1493736


Note You need to log in before you can comment on or make changes to this bug.